CVE-2019-17006

Published: 31 December 2019

In Network Security Services (NSS) before 3.46, several cryptographic primitives had missing length checks. In cases where the application calling the library did not perform a sanity check on the inputs it could result in a crash due to a buffer overflow.

Priority

Medium

CVSS 3 base score: 9.8

Status

Package Release Status
nss
Launchpad, Ubuntu, Debian
Upstream
Released (2:3.47-1)
Ubuntu 18.04 LTS (Bionic Beaver)
Released (2:3.35-2ubuntu2.7)
Ubuntu 16.04 ESM (Xenial Xerus)
Released (2:3.28.4-0ubuntu0.16.04.10)
Ubuntu 14.04 ESM (Trusty Tahr)
Released (2:3.28.4-0ubuntu0.14.04.5+esm4)